> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Text Scan Graph



## OpenAPI

````yaml /api-reference/openapi.json get /api/scans/{scan_id}/text-graph
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/scans/{scan_id}/text-graph:
    get:
      tags:
        - api
      summary: Get Text Scan Graph
      operationId: get_text_scan_graph_api_scans__scan_id__text_graph_get
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            title: Scan Id
        - name: max_nodes
          in: query
          required: false
          schema:
            type: integer
            maximum: 2000
            minimum: 8
            default: 560
            title: Max Nodes
        - name: k_nearest
          in: query
          required: false
          schema:
            type: integer
            maximum: 12
            minimum: 1
            default: 2
            title: K Nearest
        - name: max_distance
          in: query
          required: false
          schema:
            type: number
            maximum: 100
            minimum: 1
            default: 12
            title: Max Distance
        - name: topic_eps
          in: query
          required: false
          schema:
            type: number
            maximum: 100
            minimum: 1
            default: 12
            title: Topic Eps
        - name: topic_min_pts
          in: query
          required: false
          schema:
            type: integer
            maximum: 20
            minimum: 1
            default: 2
            title: Topic Min Pts
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TextGraphResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TextGraphResponse:
      properties:
        scan_id:
          type: string
          title: Scan Id
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        nodes:
          items:
            $ref: '#/components/schemas/TextGraphNodeOut'
          type: array
          title: Nodes
        edges:
          items:
            $ref: '#/components/schemas/TextGraphEdgeOut'
          type: array
          title: Edges
        topics:
          items:
            $ref: '#/components/schemas/TextGraphTopicOut'
          type: array
          title: Topics
        documents:
          items:
            $ref: '#/components/schemas/TextGraphDocumentOut'
          type: array
          title: Documents
        document_topic_edges:
          items:
            $ref: '#/components/schemas/TextGraphDocumentTopicEdgeOut'
          type: array
          title: Document Topic Edges
        stats:
          $ref: '#/components/schemas/TextGraphStatsOut'
        metadata:
          type: object
          title: Metadata
      type: object
      required:
        - scan_id
      title: TextGraphResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TextGraphNodeOut:
      properties:
        id:
          type: string
          title: Id
        reference:
          type: string
          title: Reference
        document_key:
          type: string
          title: Document Key
        document_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Title
        paragraph_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Paragraph Index
        x:
          type: number
          title: X
        'y':
          type: number
          title: 'Y'
        issue_type:
          type: string
          title: Issue Type
        issue_label:
          type: string
          title: Issue Label
        severity:
          type: string
          title: Severity
        is_off_topic:
          type: boolean
          title: Is Off Topic
          default: false
        is_interaction_issue:
          type: boolean
          title: Is Interaction Issue
          default: false
        is_issue:
          type: boolean
          title: Is Issue
          default: false
        given_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Label
        predicted_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Predicted Label
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview Url
        primary_result_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Result Id
        matched_result_ids:
          items:
            type: string
          type: array
          title: Matched Result Ids
        matched_result_count:
          type: integer
          title: Matched Result Count
          default: 0
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        text_snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Text Snippet
        sample_findings:
          items:
            $ref: '#/components/schemas/TextGraphFindingSummary'
          type: array
          title: Sample Findings
      type: object
      required:
        - id
        - reference
        - document_key
        - x
        - 'y'
        - issue_type
        - issue_label
        - severity
      title: TextGraphNodeOut
    TextGraphEdgeOut:
      properties:
        id:
          type: string
          title: Id
        source:
          type: string
          title: Source
        target:
          type: string
          title: Target
        weight:
          type: number
          title: Weight
      type: object
      required:
        - id
        - source
        - target
        - weight
      title: TextGraphEdgeOut
    TextGraphTopicOut:
      properties:
        id:
          type: string
          title: Id
        label:
          type: string
          title: Label
        chunk_ids:
          items:
            type: string
          type: array
          title: Chunk Ids
        center_x:
          type: number
          title: Center X
        center_y:
          type: number
          title: Center Y
        is_off_topic:
          type: boolean
          title: Is Off Topic
          default: false
        off_topic_count:
          type: integer
          title: Off Topic Count
          default: 0
        mentions:
          items:
            type: string
          type: array
          title: Mentions
      type: object
      required:
        - id
        - label
        - center_x
        - center_y
      title: TextGraphTopicOut
    TextGraphDocumentOut:
      properties:
        key:
          type: string
          title: Key
        title:
          type: string
          title: Title
        chunk_ids:
          items:
            type: string
          type: array
          title: Chunk Ids
        topic_ids:
          items:
            type: string
          type: array
          title: Topic Ids
        off_topic_count:
          type: integer
          title: Off Topic Count
          default: 0
      type: object
      required:
        - key
        - title
      title: TextGraphDocumentOut
    TextGraphDocumentTopicEdgeOut:
      properties:
        id:
          type: string
          title: Id
        document_key:
          type: string
          title: Document Key
        topic_id:
          type: string
          title: Topic Id
        shared_chunk_count:
          type: integer
          title: Shared Chunk Count
          default: 0
        weight:
          type: number
          title: Weight
          default: 0
      type: object
      required:
        - id
        - document_key
        - topic_id
      title: TextGraphDocumentTopicEdgeOut
    TextGraphStatsOut:
      properties:
        total_nodes:
          type: integer
          title: Total Nodes
          default: 0
        total_edges:
          type: integer
          title: Total Edges
          default: 0
        off_topic_nodes:
          type: integer
          title: Off Topic Nodes
          default: 0
        interaction_flagged_nodes:
          type: integer
          title: Interaction Flagged Nodes
          default: 0
        flagged_nodes:
          type: integer
          title: Flagged Nodes
          default: 0
        topic_nodes:
          type: integer
          title: Topic Nodes
          default: 0
        topic_clusters:
          type: integer
          title: Topic Clusters
          default: 0
        document_count:
          type: integer
          title: Document Count
          default: 0
      type: object
      title: TextGraphStatsOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TextGraphFindingSummary:
      properties:
        result_id:
          type: string
          title: Result Id
        severity:
          type: string
          title: Severity
        vulnerability_type:
          type: string
          title: Vulnerability Type
        description:
          type: string
          title: Description
        text_snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Text Snippet
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview Url
      type: object
      required:
        - result_id
        - severity
        - vulnerability_type
        - description
      title: TextGraphFindingSummary
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````